package wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseDetailBean;

public class HrmEmpClaimDtlBean extends BaseDetailBean implements Serializable {
  private String txtEmpId;
  
  private String txtApproverId;
  
  private String txtEmployeeNo;
  
  private String txtEmployeeName;
  
  private String txtAppliedAmount;
  
  private String txtApplnDate;
  
  private String txtEligibleAmount;
  
  private String txtReimbursementTillDate;
  
  private String txtPayrollFlag;
  
  private String txtApprovedAmount;
  
  private String txtApprovalDate;
  
  private String txtApprovedBy;
  
  private String txtRemarks;
  
  private String txtClaimCode;
  
  private String txtClaimDtlId;
  
  private String txtClaimNo;
  
  private String txtNewRemarks;
  
  public String getTxtEmpId() {
    return this.txtEmpId;
  }
  
  public void setTxtEmpId(String newTxtEmpId) {
    this.txtEmpId = newTxtEmpId;
  }
  
  public String getTxtApproverId() {
    return this.txtApproverId;
  }
  
  public void setTxtApproverId(String newTxtApproverId) {
    this.txtApproverId = newTxtApproverId;
  }
  
  public String getTxtEmployeeNo() {
    return this.txtEmployeeNo;
  }
  
  public void setTxtEmployeeNo(String newTxtEmployeeNo) {
    this.txtEmployeeNo = newTxtEmployeeNo;
  }
  
  public String getTxtEmployeeName() {
    return this.txtEmployeeName;
  }
  
  public void setTxtEmployeeName(String newTxtEmployeeName) {
    this.txtEmployeeName = newTxtEmployeeName;
  }
  
  public String getTxtAppliedAmount() {
    return this.txtAppliedAmount;
  }
  
  public void setTxtAppliedAmount(String newTxtAppliedAmount) {
    this.txtAppliedAmount = newTxtAppliedAmount;
  }
  
  public String getTxtApplnDate() {
    return this.txtApplnDate;
  }
  
  public void setTxtApplnDate(String newTxtApplnDate) {
    this.txtApplnDate = newTxtApplnDate;
  }
  
  public String getTxtEligibleAmount() {
    return this.txtEligibleAmount;
  }
  
  public void setTxtEligibleAmount(String newTxtEligibleAmount) {
    this.txtEligibleAmount = newTxtEligibleAmount;
  }
  
  public String getTxtReimbursementTillDate() {
    return this.txtReimbursementTillDate;
  }
  
  public void setTxtReimbursementTillDate(String newTxtReimbursementTillDate) {
    this.txtReimbursementTillDate = newTxtReimbursementTillDate;
  }
  
  public String getTxtPayrollFlag() {
    return this.txtPayrollFlag;
  }
  
  public void setTxtPayrollFlag(String newTxtPayrollFlag) {
    this.txtPayrollFlag = newTxtPayrollFlag;
  }
  
  public String getTxtApprovedAmount() {
    return this.txtApprovedAmount;
  }
  
  public void setTxtApprovedAmount(String newTxtApprovedAmount) {
    this.txtApprovedAmount = newTxtApprovedAmount;
  }
  
  public String getTxtApprovalDate() {
    return this.txtApprovalDate;
  }
  
  public void setTxtApprovalDate(String newTxtApprovalDate) {
    this.txtApprovalDate = newTxtApprovalDate;
  }
  
  public String getTxtApprovedBy() {
    return this.txtApprovedBy;
  }
  
  public void setTxtApprovedBy(String newTxtApprovedBy) {
    this.txtApprovedBy = newTxtApprovedBy;
  }
  
  public String getTxtRemarks() {
    return this.txtRemarks;
  }
  
  public void setTxtRemarks(String newTxtRemarks) {
    this.txtRemarks = newTxtRemarks;
  }
  
  public String getTxtClaimCode() {
    return this.txtClaimCode;
  }
  
  public void setTxtClaimCode(String newTxtClaimCode) {
    this.txtClaimCode = newTxtClaimCode;
  }
  
  public String getTxtClaimDtlId() {
    return this.txtClaimDtlId;
  }
  
  public void setTxtClaimDtlId(String newTxtClaimDtlId) {
    this.txtClaimDtlId = newTxtClaimDtlId;
  }
  
  public String getTxtClaimNo() {
    return this.txtClaimNo;
  }
  
  public void setTxtClaimNo(String newTxtClaimNo) {
    this.txtClaimNo = newTxtClaimNo;
  }
  
  public String getTxtNewRemarks() {
    return this.txtNewRemarks;
  }
  
  public void setTxtNewRemarks(String newTxtNewRemarks) {
    this.txtNewRemarks = newTxtNewRemarks;
  }
}
